LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XAlterTable Interface Referencepublished

is used for creating and appending new objects to a specific container. More...

`import"XAlterTable.idl";`

Inheritance diagram for XAlterTable:

## Public Member Functions
void | alterColumnByName ([in]string colName, [in]com::sun::star::beans::XPropertySet descriptor) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::NoSuchElementException)
| is intended to alter an existing column identified by its name. More...
void | alterColumnByIndex ([in]long index, [in]com::sun::star::beans::XPropertySet descriptor) raises (com::sun::star::sdbc::SQLException, com::sun::star::lang::IndexOutOfBoundsException)
| is intended to alter an existing column identified by its position. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used for creating and appending new objects to a specific container.

## Member Function Documentation

## ◆ alterColumnByIndex()

void alterColumnByIndex | ( | [in] long | index,
|  | [in] com::sun::star::beans::XPropertySet | descriptor
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException,
|  | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

is intended to alter an existing column identified by its position.

This operation must be atomic, in that it is done in one step.s

Parameters

  index | the position of the column to alter
  descriptor | the new descriptor for the new column

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.
  com::sun::star::lang::IndexOutOfBoundsException | if the given index does not denote an existing column.

## ◆ alterColumnByName()

void alterColumnByName | ( | [in] string | colName,
|  | [in] com::sun::star::beans::XPropertySet | descriptor
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException,
|  | com::sun::star::container::NoSuchElementException
| ) |  |

is intended to alter an existing column identified by its name.

This operation must be atomic, in that it is done in one step.s

Parameters

  colName | the column name which to alter
  descriptor | the new descriptor for the new column

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XAlterTable.idl